petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMStagGetStencilType

get elementwise ghost/halo stencil type

### Synopsis

    PetscErrorCode DMStagGetStencilType(DM dm,DMStagStencilType *stencilType)

Not Collective

### Input Parameter

dm -the DMStag object

### Output Parameter

stencilType -the elementwise ghost stencil type: DMSTAG_STENCIL_BOX, DMSTAG_STENCIL_STAR, or DMSTAG_STENCIL_NONE

### See Also

DMSTAG, DMStagSetStencilType(), DMStagStencilType, DMDAGetInfo()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages